# Uses of Class
org.eclipse.birt.chart.event.ClipRenderEvent

Packages that use ClipRenderEvent
Package
Description
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.

## Uses of ClipRenderEvent in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type ClipRenderEvent
Modifier and Type
Method
Description
`void`
DeviceAdapter.`setClip(ClipRenderEvent cre)`
`void`
IPrimitiveRenderer.`setClip(ClipRenderEvent cre)`
This method is responsible for clipping an arbitrary area on the target rendering device's graphic context.